name: BCI
channels:
  - pytorch
  - nvidia
  - conda-forge
  - defaults
dependencies:
  - python=3.10
  - pip
  - ipykernel
  - ipython
  - jupyter
  - jupyterlab
  - numpy
  - pandas
  - matplotlib
  - scikit-learn
  - scipy
  - seaborn
  - flask
  - sqlalchemy
  - pillow
  - requests
  - beautifulsoup4
  - lxml
  - pyyaml
  - cryptography
  - ffmpeg
  - pytorch
  - torchvision
  - torchaudio
  - cudatoolkit
  - pip:
    - accelerate==0.25.0
    - addict==2.4.0
    - altair==5.2.0
    - annotated-types==0.6.0
    - ansi2html==1.9.1
    - antlr4-python3-runtime==4.9.3
    - appdirs==1.4.4
    - astor==0.8.1
    - bids==0.0
    - bids-validator==1.13.1
    - blinker==1.7.0
    - blis==0.7.11
    - braceexpand==0.1.7
    - braindecode==0.7
    - cachetools==5.3.2
    - catalogue==2.0.10
    - cfgv==3.4.0
    - click==8.1.7
    - cloudpathlib==0.16.0
    - confection==0.1.4
    - configargparse==1.7
    - contexttimer==0.3.3
    - contourpy==1.1.1
    - cycler==0.12.0
    - cymem==2.0.8
    - dash==2.14.2
    - dash-core-components==2.0.0
    - dash-html-components==2.0.0
    - dash-table==5.0.0
    - decorator==4.4.2
    - decord==0.6.0
    - diffusers==0.16.0
    - distlib==0.3.8
    - docker-pycreds==0.4.0
    - docopt==0.6.2
    - docstring-inheritance==2.1.0
    - easydict==1.9
    - einops==0.7.0
    - evdev==1.6.1
    - fairscale==0.4.4
    - filelock==3.13.1
    - fonttools==4.43.0
    - formulaic==0.5.2
    - fsspec==2023.12.2
    - ftfy==6.1.3
    - gitdb==4.0.11
    - gitpython==3.1.40
    - greenlet==3.0.1
    - h5py==3.10.0
    - huggingface-hub==0.19.4
    - identify==2.5.33
    - imageio==2.33.1
    - imageio-ffmpeg==0.4.9
    - importlib-metadata==6.11.0
    - interface-meta==1.3.0
    - iopath==0.1.10
    - itsdangerous==2.1.2
    - joblib==1.3.2
    - kaggle==1.5.16
    - kiwisolver==1.4.5
    - langcodes==3.3.0
    - lazy-loader==0.3
    - llvmlite==0.41.0
    - markdown-it-py==3.0.0
    - matplotlib==3.8.0
    - mne==1.5.1
    - mne-bids==0.13
    - moviepy==1.0.3
    - murmurhash==1.0.10
    - nbformat==5.7.0
    - networkx==3.2.1
    - nib
